jump to navigation

Driver Intel 2.4.0: pacchettizzato per voi 31 luglio 2008

Posted by melchiorre in Novità Programmi, Ubuntu.
Tags: , , , , , ,
trackback

Se avete una scheda video della intel ed avete hardy, allora avrete la versione dei driver ferma alla 2.2.2. E allora? Il fatto è che dopo questa ne sono uscite altre due versioni, la 2.3, e recentemente, la 2.4.0.

Specialmente quest’ultima versione porta con sé golose novità, tra cui il supporto al nuovo chipset grafico della serie 4 (tra cui la x4500 igp), performance migliorate, soprattutto per quanto riguarda l’exa, un bel po’ di bug fixes, ed altro ancora.

Se volete il changelog completo, guardate qui (in inglese) l’annuncio ufficiale.

Dopo vari esperimenti sono riuscito a rendere perfettamente stabile e funzioante il pacchetto deb dei nuovi driver per le schede video della intel per ubuntu hardy heron, sia in versione i386 che amd64 (per la serie lavoriamo per voi).

Come sempre trovate il pacchetto nei miei repository, o se preferite potete scaricarlo direttamente da qui: se avete ubuntu a 32bit scaricate il pacchetto deb 386, se lo avete a 64 bit, scaricate quello per amd64 (so che è logico, ma non si sa mai ).

Ovviamente se trovate che qualcosa non va e/o trovate bug, scrivete qui sotto.

Vorrei ringraziare particolarmente Hotteterre che si è prestato a farmi da cavia dandomi feedback veloci e precisi, senza di lui non avreste i nuovi driver.

Commenti»

1. Hotteterre - 31 luglio 2008

Grazie a te, piuttosto! Ti ho lasciato qualche riga di commento anche per NtEd.

Quando hai bisogno, fai un fischio!

2. Driver Intel 2.4.0: deb package « Melchiorre’s Weblog - 31 luglio 2008

[…] Tags: 2.4.0, driver, intel, Ubuntu, viedo, x4500 trackback Per l’articolo in italiano cliccate […]

3. guiodic - 1 agosto 2008

Grazie per il deb, ma… purtroppo devo dirti che le prestazioni sulla mia i915 sono 1/3 inferiori al 2.2

4. melchiorre - 1 agosto 2008

Beh non è colpa mia, prenditela con quelli della intel😐

5. melchiorre - 1 agosto 2008

Guiodic, mi è venuto un dubbio, che portatile hai? Perché per 2 modelli di portatili ci sono delle patch per la versione 2.2. Non le ho applicate perché poensavo fossero risolti, ma se serve le riapllico

6. hamen - 1 agosto 2008

VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])

Mi conviene installare questi nuovi driver?
Grazie

7. melchiorre - 1 agosto 2008

Penso di sì, è retrocompatibile con tutte le schede. Se vedi peggioramenti basta che reinstalli quelli precedenti

8. Hotteterre - 1 agosto 2008

Forse l’idea delle patch non sarebbe malvagia, in effetti… Metti mai…

Io, nel caso, te le provo volentieri.

9. Hotteterre - 1 agosto 2008

…intendo: anch’io le avevo, con la vecchia versione del driver, e l’aggiornamento me ha fatte disinstallare. E mi sembra che, da allora, pure il mio portatile arranchi un po’.

Scusa, Guiodic, come si fa a confrontare esattamente le prestazioni della scheda con i diversi driver?

10. guiodic - 4 agosto 2008

@melchiorre: è un acer aspire 1644 wlmi
@hotteterre: be’ diciamo che la differenza si nota ad occhio… cmq è capato sia il valore che dà glxgears che il workbench di compiz.

11. Hotteterre - 4 agosto 2008

@guiodic: grazie, sempre disponibilissimo!🙂
@melchiorre & tutti: purtroppo, oggi ho rilevato un notevole impatto di xorg sul consumo di CPU, usando il driver nuovo: in pratica, all’avvio di una qualunque applicazione, il consumo di CPU di xorg schizza a quote abbastanza preoccupanti (oltre il 70%), rallentando tutto. Non so se c’entrino gli ultimi aggiornamenti di sistema, ma onestamente credo di no, perché non si tratta di nulla direttamente legato a xorg e compagnia bella. Inoltre, tornando alla versione ufficiale del driver – dalla quale sto scrivendo, ora -, il problema non si manifesta più.
Me ne sono accorto… ehm… tentando una partita al mio personale gioco del millennio, Burgerspace (e sono pure vegetariano!). Ad ogni modo. Be’, ecco, perfino un’applicazione così leggera rallenta e, soprattutto, scatta paurosamente. Non avevo ancora provato dei giochi, pensando che dall’uso di applicazioni “normali”, ma pesanti, come Firefox e Gimp, avrebbe rivelato eventuali problemi.
Non potrebbe centrare ancora la questione delle patch? Ricordo che l’installazione del driver nuovo ha comportato la disinstallazione dei pacchetti xserver-xorg-video-all e xserver-xorg-video-i810, che ora ho ripristinato.

12. vervelover - 22 settembre 2008

a me aggiornare i driver comporta al riavvio un abbassamento della risoluzione e la disabilitazione degli effetti..

13. lucrus - 4 ottobre 2008

Io sono su un Thinkpad SL500 NRJ3ZIX, scheda video Intel 4500HD. Di default Ubuntu 8.04 va in vesa.
Ho messo il tuo repo in sources.list, installato il driver
xserver-xorg-video-intel 2:2.4.0~melchiorre-5 (che mi ha rimosso giustamente i810) ma continuo ad avere X che mi carica il driver Vesa, come si chiama il file del driver per forzarglielo in xorg.conf? Ma, soprattutto, servirà a qualcosa forzarglielo visto che non l’ha caricato di sua spontanea volontà?

14. lucrus - 4 ottobre 2008

P.S. dimenticavo, ho tolto anche xforcevesa da /boot/grub/menu.lst, ho tolto Driver “vesa” da xorg.conf ed ho fatto il reboot, ma va sempre in vesa.

15. khelidan - 7 ottobre 2008

c’è qualcosa che non va,pure a me X carica il driver vesa

16. khelidan - 7 ottobre 2008

Cmq se ci fai una guida su come ricompilare questo driver con le patch per l’verlay e compiz fai una gran cosa,dovrei farlo pure su una debian lenny!

17. lucrus - 1 dicembre 2008

@melchiorre: ho visto che c’è la release 2.5, non è che per caso ti avanza il tempo di pacchettizzarla?🙂

BTW, non ricordo più come si è risolto, ma ora la mia Ubuntu usa il driver intel, non più vesa

18. mrponkio - 3 dicembre 2008

Ciao ho scaricato il pacchetto come mi hai detto, premetto che ho una scheda video intel 85x (no ne capisco nulla e spero di avere scritto bene).Una volta scaricato il pacchetto mi rimanda questo mess. “Error conflicts with the installed package “915resolution” Conflicts with the installed package “xserver-xorg-video-i810”.Lascio tutto com’è o mi consigli di fare qualcosa e se si come.Ciao

19. massimiliano - 24 marzo 2009

ciao ho provato a scaricare dai repository ma alla fine mi dice che c’è un problema di chiave… come risolvo? grazie, Grande!


Lascia un commento

Inserisci i tuoi dati qui sotto o clicca su un'icona per effettuare l'accesso:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...

%d blogger cliccano Mi Piace per questo: